# Excelitas PCO GmbH   -     TECHNICAL  INFORMATION  DOCUMENT

## File List
This package includes the following files


### pco.logging.exe
The actual application  
It is standalone and needs no further dependencies.
                             
### license.md
File containing license information. 
By using the application, you agree on these license terms.
 
### CHANGELOG.md
File containing version information
 
### README.md
This readme file

## Description
The aim of this tool is to simplify the control and creation of log files for
the PCO software tools that are integrated into or used by custom application
software.

If you are only using pco.camware for controlling PCO cameras, please use the
in-built logging functionality.
 
If you are using some other PCO software products, creating log files had to
be done manually and may be effortful.  
Therefore this tool was developed.

It consists of 3 basic parts:
 1. A tree view (on the left) showing all possible log files and if they are
    currently enabled.
    With this you can dynamically activate or deactivate the log files.
    Please make sure to always do this before you start your application that
    should be logged. 
    The tool automatically checks the logging every few seconds and updates the
    tree.
    In case log files are activated or deactivated by other applications, this
    will also be noticed.
    
 2. Two buttons and a drop down (on the top right) to interact with the log
    files. 
    The "Clear Log Files" button deletes the content of all log files to make
    sure you only log the relevant session.
    The "Explore Log Files" button opens the folder where the log files are
    placed.
    The "Log Level" drop down controls the level of detail in the log files.
    
 3. Two buttons (on the bottom) to create a PCO support file equivalent to the
    file that can be created in pco.camware.
    The "Create Support File" button will create and zip the file.
    The "Support Mail (+Support File)" button will do the same and additionally
    generates an e-mail to pco@excelitas.com with the file attached.
    
The application has been designed to be simple and as small as
possible so that it can be kept open during your complete testing
or development process. 

You will always have an overview of the
activated log files. This is especially relevant as logging affects the
performance.

For any questions or comments, please feel free to contact us at any time.

```
 Excelitas PCO GmbH
 DONAUPARK 11
 93309 KELHEIM / GERMANY
 PHONE +49 (9441) 20050
 FAX   +49 (9441) 200520
 pco@excelitas.com
 http://www.pco.de
```
```
 DISCLAIMER
 THE ORIGIN OF THIS INFORMATION MAY BE INTERNAL OR EXTERNAL TO PCO.
 PCO MAKES EVERY EFFORT WITHIN ITS MEANS TO VERIFY THIS INFORMATION.
 HOWEVER, THE INFORMATION PROVIDED IN THIS DOCUMENT IS FOR YOUR
 INFORMATION ONLY. PCO MAKES NO EXPLICIT OR IMPLIED CLAIMS TO THE
 VALIDITY OF THIS INFORMATION.
-------------------------------------------------------------------
 Any trademarks referenced in this document are the property of
 their respective owners.
```
